### Property

# Ide EditorSearch:replacement-text

#### Declaration

    property replacement-text: utf8 [ read, write ]

#### Description

The “replacement-text” property determines the text to be used when performing search and replace with `ide_editor_search_replace()` or ide_editor_search_replace_all().

If `IdeEditorSearch:regex-enabled` is `TRUE`, then the user may use references to capture groups specified in `IdeEditorSearch:search-text`.

Type: | `gchar*`
Available since: | 3.32

Setter method | `ide_editor_search_set_replacement_text()`
Getter method | `ide_editor_search_get_replacement_text()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no